/* Copyright (c) 1992, 1998, 2000, 2005, 2006 John E. Davis
 * This file is part of JED editor library source.
 *
 * You may distribute this file under the terms the GNU General Public
 * License. See the file COPYING for more information.
 */

#ifndef JED_FEATURES_H
#define JED_FEATURES_H

#define JED_HAS_LINE_ATTRIBUTES         1   //// no change
#define JED_HAS_BUFFER_LOCAL_VARS       1   //// no change
#define JED_HAS_SAVE_NARROW             0   //// no change
#define JED_HAS_DISPLAY_LINE_NUMBERS    0   //// no change
#define JED_HAS_MENUS                   1   //// no change

/* See ../doc/filelock.txt --- requires symbolic links */
#define JED_HAS_EMACS_LOCKING           1

# define JED_HAS_MULTICLICK             0   //// no change

/*  Asynchronous subprocess support. This is only available for Unix systems.
 */
#if defined(REAL_UNIX_SYSTEM) || defined(__WIN32__)
#  define JED_HAS_SUBPROCESSES          1
#else
# define JED_HAS_SUBPROCESSES           0
#endif

#ifdef NeXT
# undef JED_HAS_SUBPROCESSES
# define JED_HAS_SUBPROCESSES           0
#endif

#define JED_HAS_DFA_SYNTAX              0   //// no change
#define JED_HAS_ABBREVS                 0   //// no change
#define JED_HAS_COLOR_COLUMNS           1
#define JED_HAS_LINE_MARKS              1   //// no change

/* The following only applies to systems that have case-insensitive file
 * systems.
 *
 * Are filenames case sensitive? If this is set to 1 Ma* will not match
 * makefile, even on systems that are not case sensitive by default.
 */
#define JED_FILENAME_CASE_SENSITIVE     0

/* If compiled with XJED_SET_WM_COMMAND non-zero, then Xjed
 * will set the WM_COMMAND property to inform the
 * window manager or session manager of the command line used to
 * start the application. Not all versions of X support this.
 */
#define XJED_SET_WM_COMMAND             0

#if JED_HAS_EMACS_LOCKING && !defined(HAVE_SYMLINK)
# undef JED_HAS_EMACS_LOCKING
# define JED_HAS_EMACS_LOCKING          0
#endif

/* Set JED_HAS_IMPORT if you want the ability to import modules into jed via
 * the slang import statement. This assumes that slang was compiled with
 * such support.
 */
#define JED_HAS_IMPORT                  0   //// no change

#endif

                                                        